> For the complete documentation index, see [llms.txt](https://docs.ionos.com/docker-machine-driver-1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/docker-machine-driver-1/usage/authentication.md).

# Authentication

## Credentials

Before you use Ionos Cloud Docker Machine Driver, you need to authenticate with your Ionos Cloud credentials. These would be the same username and password that you use to log into the [Ionos Cloud DCD](https://dcd.ionos.com/latest/).

It is possible to pass your credentials:

* using environment variables:

```
export IONOSCLOUD_USERNAME="ionoscloud_username"
export IONOSCLOUD_PASSWORD="ionoscloud_password"
```

or

```
export IONOSCLOUD_TOKEN="ionoscloud_token"
```

* on command-line using `--ionoscloud-username` and `--ionoscloud-password`:

```
docker-machine create --driver=ionoscloud --ionoscloud-username="ionoscloud_username" --ionoscloud-password="ionoscloud_password" test-machine
```

or

```
rancher-machine create --driver=ionoscloud --ionoscloud-username="ionoscloud_username" --ionoscloud-password="ionoscloud_password" test-machine
```

* on command-line using `--ionoscloud-token`:

```
docker-machine create --driver=ionoscloud --ionoscloud-token="ionoscloud_token" test-machine
```

or

```
rancher-machine create --driver=ionoscloud --ionoscloud-token="ionoscloud_token" test-machine
```

* on Rancher UI, when creating a new Node Template.

## API Endpoint

If you want to authenticate against a different API endpoint, you can set that:

* on command-line using `--ionoscloud-endpoint`
* using environment variable:

```
export IONOSCLOUD_ENDPOINT="ionoscloud_endpoint"
```

* on Rancher UI, when creating a new Node Template.

It is recommended to use `api.ionos.com` as `IONOSCLOUD_ENDPOINT`, for flexibility across versions.

*Note*: SDK Go will check if the `/cloudapi/v6` suffix is set at the end of the API endpoint, and if not set, it will set it automatically.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/docker-machine-driver-1/usage/authentication.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
